package config

type Config struct {
	LogLevel string `default:"warn"`
	Server   ServerConfig
	Forge    ForgeConfig
}

type ServerConfig struct {
	Host               string `default:"127.0.0.1"`
	Port               uint16 `default:"8080"`
	MainDomain         string
	RawDomain          string
	PagesBranches      []string
	AllowedCorsDomains []string
	BlacklistedPaths   []string
}

type ForgeConfig struct {
	Root               string
	Token              string
	LFSEnabled         bool   `default:"false"`
	FollowSymlinks     bool   `default:"false"`
	DefaultMimeType    string `default:"application/octet-stream"`
	ForbiddenMimeTypes []string
}
